Translation

Proofread story languages and auto-fix translations via AI

Publishes a proofread-languages task to the queue. The consumer reads default language text and translates/re-translates to other languages of the project type, then updates changed records. If `languages` is provided, only those languages will be proofread; otherwise all non-default languages of the project type are processed.

POST
/api/v2/default-translations/proofread-languages

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/default-translations/proofread-languages" \  -H "Content-Type: application/json" \  -d '{    "projectTypeId": 8,    "storyId": 1  }'
{  "message": "Proofread languages task accepted"}
Empty
Empty
Empty
Empty
Empty